# Entwurf einer Nutzungsbedingungen des GitLab Systems (Pilot)

*Stand 24.07.2019*

<!-- Authors:
* Johannes Hampp, ZEU <johannes.hampp@zeu.uni-giessen.de>
* Johannes Keyser, FB 06 <johannes.keyser@sport.uni-giessen.de>
Gegengelesen und stellenweise editiert durch S.L. vom P.-R. am 19.07.2019.
-->

<!-- NOTE: Markdown comments like this will not be rendered by interpreters that compile it into other formats (e.g. in GitLab into HTML). -->

<!-- NOTE: Mit dem Programm pandoc kann man dieses Markdown-Dokument in andere Formate kompilieren, z.B. nach DOCX von Microsoft Word:
> pandoc EntwurfBenutzerOrdnung.md -o EntwurfBenutzerOrdnung.docx
-->

Für die Nutzung des GitLab Systems gelten ergänzend zur [Benutzungsordnung des Hochschulrechenzentrums (HRZ)](http://www.uni-giessen.de/cms/mug/2/pdf/2_32_01_2/) die folgenden Bedingungen.
Bei erstmaliger Anmeldung am GitLab System müssen die Nutzungsbedingungen des GitLab Systems sowie die Benutzungsordnung des HRZ in aktueller Fassung zur Kenntnis genommen und akzeptiert werden.

## Funktionsumfang und Nutzerkreis
GitLab ist ein Web-Dienst zur Versionierung von Dateien in Projekten auf Basis der Software Git.
GitLab bietet diverse Funktionalitäten für Projektverwaltung und -dokumentation (z.B. Ticketsystem und Wikis), sowie ein System zur kontinuierlichen Integration.

Der Dienst steht Angehörigen Justus-Liebig-Universität Gießen (JLU) mit gültiger g- oder s-Kennung zur Verfügung (im folgenden "Nutzende" genannt).
<!-- NOTE: Gelöscht ", während diese am internen Netzwerk der JLU angemeldet sind"...
...wegen Kommentar von SL: Wenn die Berechtigung über die G- oder S-Kennung geregelt wird, ist das Netzwerk erstmal unwichtig, da der Kreis der Benutzer hierüber geregelt wird.
-->

GitLab ermöglicht es den Nutzenden, Daten zwischen dem zentralen Server des GitLab Systems an der JLU und einzelnen Geräten, wie Arbeitsplatzrechnern und mobilen Endgeräten, auszutauschen.
Nutzende können ihre gespeicherten Daten anderen Nutzenden des Dienstes zugänglich machen, sowohl für Lese- als auch Lese- und Schreibzugriff.
Dies erfolgt indem diese einem GitLab Projekt oder einer Nutzergruppe hinzugefügt werden.
<!-- NOTE: Weil öffentliche Projekte auch ohne Benutzerkonto eingesehen werden können: -->
Nutzende können auch Lesezugriff der Daten an alle Nicht-Nutzende ermöglichen, sofern diese mit dem internen Netzwerk der JLU verbunden sind.
Dies erfolgt durch optionale Projekteinstellung.

Zur Synchronisation der Dateien zwischen den Endgeräten der Nutzenden und dem zentralen GitLab System steht Software für verschiedenen Plattformen (Arbeitsrechnern, Mobilgeräte) zur Verfügung.
Darüber hinaus kann der Zugriff auch per Web-Browser erfolgen.

## Die Betreibenden
Das GitLab System wird von Mitarbeitenden der JLU administriert, unter Einhaltung der [Richtlinien für die IT-Systemadministration an der JLU Gießen](https://www.uni-giessen.de/fbz/mug/2/pdf/2_26_30_4).
Für Kontakt nutzen Sie bitte die interne E-Mailliste [gitlab-admin@lists.uni-giessen.de](gitlab-admin@lists.uni-giessen.de).

## Speicherplatz
Allen Nutzenden stehen 50 Projekte mit jeweils bis zu 1 GB zur Verfügung.
<!-- NOTE:
* Die Anzahl der Projekte ist im Admin-Interface einstellbar; auf Anfrage können wir mehr Projekte zulassen.
* Die maximale Größe von Projekten/Repos ist leider nicht in der CE-Version einstellbar, siehe https://gitlab.com/gitlab-org/gitlab-ce/issues/19374.
* Wir behandeln die maximale Repo-Größe als weiche Grenze, und überwachen dies manuell (per rake-task) in sinvollen Intervallen.
  Im Fall von grobem Übertreten werden wir die Nutzenden direkt per Email kontaktieren.
  TODO: Einstellen eines Kalenders/Issues/Whatever und erwähnen bei den Aufgaben der Sysadmins.
-->

## Speicherung von Forschungsdaten
<!-- NOTE: Forschungssoftware ist laut FDM-Richtlinie der JLU ein Teil von Forschungsdaten. -->
GitLab ist für die Speicherung von Forschungsdaten weder vorgesehen, noch geeignet.
Es wird hiervon ausdrücklich abgeraten.

Für die Speicherung von Forschungsdaten stehen an der JLU die [JLUbox](https://www.uni-giessen.de/fbz/svc/hrz/svc/daten/jlubox) sowie [Netzlaufwerke](https://www.uni-giessen.de/fbz/svc/hrz/svc/daten/san/index_html) zur Verfügung.
Bei Fragen des Forschungsdatenmanagements hilft Ihnen [dieser FAQ](https://www.uni-giessen.de/ub/digitales-publizieren/fdm/faq/) weiter oder wenden Sie sich per E-Mail an [forschungsdaten@uni-giessen.de](forschungsdaten@uni-giessen.de).

## Verbot von privater Nutzung
Die Speicherung von privaten, nicht im Zusammenhang mit Tätigkeiten an der JLU stehenden Daten, ist ausdrücklich untersagt.

## Verbot von Leistungsüberwachung
Es ist ausdrücklich untersagt, das GitLab-System für die Überwachung von Verhalten oder Leistungen von Personen zu nutzen.
<!-- NOTE, von SL: "Verhalten" ist der Terminus nach HPVG. -->

## Datenschutz
Die Registrierung für den Dienst erfolgt mit der ersten Anmeldung eines Nutzenden per Web-Browser mittels der persönlichen g- bzw. s-Kennung und dem dazugehörigen Netzpasswort.
Sämtliche für den Betrieb des Dienstes verwendeten Systeme werden JLU-intern von den Betreibenden auf Geräten im Hochschulrechenzentrum betrieben.
Bei der ersten Anmeldung werden folgende Daten vom zentralen X.500/LDAP-System verschlüsselt an das GitLab System übertragen, dort gespeichert und bei folgenden Anmeldungen ggfs. aktualisiert:

- Benutzerkennung
- Vor- und Nachname
- Email-Adresse

## Datensicherheit
Die Übertragung der Daten zwischen den Endgeräten der Nutzenden und dem zentralen GitLab System erfolgt verschlüsselt.
Die gespeicherten Daten werden unverschlüsselt auf zugriffsbeschränkten Speichersystemen des HRZs abgelegt.
Für die Daten wird zudem in regelmäßigen Abständen ein Backup auf weiteren, ebenfalls zugriffsbeschränkten Systemen des HRZ erstellt.
Der Zugriff auf einen Datenbereich ist jederzeit beschränkbar auf den Nutzenden, der diesen Datenbereich initial gespeichert hat (Eigentümer/in).
Der/die Eigentümer/in kann optional den Datenzugriff für weitere Personen ermöglichen, und weitere Nutzende mit dem Recht ausstatten, den Zugriff für Dritte zu ermöglichen.
Das GitLab System ist zur Speicherung von Daten mit normalem Schutzbedarf geeignet.
<!-- TODO: Was ist mit Schutzbedarf gemeint? => Delegieren an M.S. vom HRZ. -->

## Verantwortung für Inhalte
Für Konformität der Inhalte der gespeicherten Daten mit rechtlichen Bestimmungen ist alleinig die Eigentümerin/der Eigentümer verantwortlich.
Insbesondere ist sicherzustellen, dass nicht gegen das Urheberrecht und weitere, in §5 der HRZ-Benutzungsordnung aufgeführten Gesetze verstoßen wird.
Nutzende verpflichten sich, Daten nicht unberechtigten Dritten zugänglich zu machen.

Nutzende, die Datenbereiche (sogenannte Projekte) für andere freigibt, ist als Eigentümerin/Eigentümer des Projekts für die Dateninhalte verantwortlich, auch wenn diese von anderen Nutzern stammen.
Es wird empfohlen, als Eigentümerin/Eigentümer eines Datenbereiches die Dateninhalte regelmäßig zu prüfen.
Die Betreibenden und die JLU übernehmen keine Verantwortung bei etwaigem Missbrauch.

## Löschung von Zugangsberechtigungen und Daten
Nach dem Ausscheiden (Ende des Beschäftigungsverhältnisses, Ende der Immatrikulation) eines Nutzenden aus der JLU, verliert die zugeordnete persönliche g- oder s-Kennung an Gültigkeit.
GitLab-Benutzerkontos die mit einer ungültigen g- oder s-Kennung verknüpft sind, werden innerhalb von 24 Stunden automatisch geblockt.
Dadurch verlieren ehemalige Nutzende ihre Zugangsberechtigung zum GitLab System.
<!-- NOTE: Es gibt ein rake-task zum Blocken den LDAP-Nutzer, aber nicht zum löschen.
TODO: Cronjob für ldap-block rake-task einstellen (und dokumentieren). -->

Die personenbezogenen Daten inklusive der Projekte eines ehemaligen Nutzenden werden für eine Frist von 3 Monaten vorgehalten und im Anschluss gelöscht.
<!-- TODO, von SL: "...im Anschluss AUTOMATISCH gelöscht" würde verdeutlichen, dass kein manuelles Eingreifen notwening ist.
AW von JK: Dies wäre sicherlich wünschenswert und wir wollen es auch möglichst so umsetzen. Allerdings ist noch unklar ob dies in allen Fällen automatisierbar ist. Wäre es in Ordnung, das Wort “automatisch” zunächst weg zu lassen, oder würde uns das blockieren?-->
Projekte die mehreren Nutzenden zugeordnet sind werden nur gelöscht, sofern alle Nutzende die Zugangsberechtigung für 3 Monate verloren haben.
<!-- NOTE: Wird manuell erledigt; alle 3 Monate und gesperrte Benutzer löschen inkl. Projekte, sofern keine andere Person mehr in dem Projekt.
Außerdem: Löschen der Benutzer. TODO: Reminder und Erinnerungsprozess erstellen, und angeben bei Sysadmin-Job. -->

## Vorbehalt von Änderungen dieser Nutzungsbedingungen
Die Betreibenden behalten sich das Recht vor, die Bedingungen für die Nutzung des Dienstes zu ändern.

<!-- --- NOTE: Ab hier adaptiert von der ILIAS-Benutzungsordnung --- -->

## Weitere Grundsätze für die Nutzung von GitLab
In Anlehnung der Benutzungsordnung des HRZ ergeben sich insbesondere, jedoch nicht abschließend, folgende Grundsätze für die Nutzung des GitLab Systems.

* Die Nutzung des Systems erfolgt freiwillig und nur durch expliziten Wunsch von Nutzenden durch erstmaliges Anmelden am System.
* Die Betreibenden können den Zugang zu dem GitLab-System aus technischen oder organisatorischen Gründen jederzeit beschränken oder einstellen; ein Anspruch auf Zugang zu diesem System besteht nicht.
  Sofern voraussehbar, verpflichten sich die Betreibenden die Nutzenden rechtzeitig im Voraus darüber zu informieren.
<!--
* Eine Nutzung zu den nach §2 (I) der Benutzungsordnung des HRZ gestatteten Zwecken erfordert die Einhaltung folgender Richtlinien:
    * Alle Nutzenden dürfen genau ein Benutzerkonto für dieses GitLab System nutzen.
      Aus diesem Benutzerkonto muss die Identität der/des Nutzenden abzuleiten sein.
    * Im Regelfall erfolgt die Authentisierung über die LDAP-/X.500-Server des HRZ.
    <!-- NOTE von SL: Wenn das ganze über die Benutzerkennung geregelt wird, kann es nur 1 Benutzerkonto geben. Und wenn es nur der Regelfall ist, wo die Authentisierung über LDAP-/X.500 erfolgt, wie sieht dann die Ausnahme aus?
    AW von JK: In der Tat ist das derzeit überflüssig; die einzig anderen Benutzeraccounts sind von den Administratoren, um eine Trennung zur normalen Nutzung zu wahren. Zu einem späteren Zeitpunkt wollen wir auch Benutzerkontos für Uni-Externe ermöglichen, aber das wird die Ordnung an mehreren Stellen betreffen, also ist es besser dies vorerst zu löschen.
-->
* Nutzende verpflichten sich, die Mitteilungen im Rahmen des GitLab System-Betriebs, die per GitLab-Nachricht oder von den Betreibenden an die hinterlegte universitäre E-Mailadresse verschickt werden, regelmäßig zu lesen (siehe §4 (I) 11. Benutzungsordnung des HRZ).
* Alle anderen Angaben zur Person eines Nutzenden erfolgen freiwillig, haben jedoch, sofern angegeben, korrekt zu sein.
  Wenn Sie weitere Daten von sich angeben, sind diese nur für andere, registrierte Nutzer des Systems zugänglich.
* Die Nutzung von GitLab ist nur im Rahmen von universitären Projekten in Bereich von Forschung, Verwaltung, Lehre und zu Evaluationszwecken gestattet.
  Eine private oder kommerzielle Nutzung ist untersagt.
* Die Nutzenden stellen sicher, dass sie nicht gegen geltende Rechtsvorschriften verstoßen (siehe §5 (II) Benutzungsordnung des HRZ).
  Insbesondere verpflichten sich die Nutzenden:
    * die Privatsphäre anderer zu respektieren und daher in keinem Fall belästigende, verleumderische oder bedrohende Inhalte einzustellen oder zu verschicken,
    * die Eigentums- und Verwertungsansprüchen Dritter an Dateien zu wahren (dies gilt insbes. für Dateien, die durch Dritte erzeugt wurden, oder Bilder, auf denen Dritte abgebildet sind, und für sog. Inline-Links, aus denen die Urheberschaft Dritter an den verlinkten Inhalten für den Betrachter nicht offensichtlich erkennbar ist);
* Die Nutzenden verpflichten sich, ihren Zugang gegen die unbefugte Benutzung durch Dritte zu schützen.
  Insbesondere ist eine Weitergabe von Benutzerkontos an andere Personen nicht erlaubt.
* Beim Ablegen von Dateien im GitLab System ist von Nutzenden im Rahmen der üblichen Sorgfaltspflichten sicherzustellen, dass die abzulegenden Dateien frei von Viren und Schadfunktionen sind (siehe §4 (I) 3 Benutzungsordnung des HRZ).
  Die Betreibenden sind berechtigt, zur Erhaltung der Datensicherheit und des Schutzes anderer Nutzer Dateien mit Viren oder Schadfunktionen unverzüglich und ohne vorherige Benachrichtigung des Eigentümers zu löschen (siehe §8 (VII) Benutzungsordnung des HRZ).
  Die Betreibenden haften nicht für Schäden, die von Dateien verursacht werden, die aus GitLab heruntergeladenen wurden (siehe §11 (I) Benutzungsordnung des HRZ).
*  Bei einem Verstoß von Nutzenden gegen die oben aufgeführten Obliegenheiten
    * haben sie ggf. für Schäden zu haften und die Universität Gießen von Haftungsansprüchen Dritter freizustellen (siehe §10 (IV) und §10 (V) Benutzungsordnung des HRZ).
      Dies gilt auch für durch Dritte angerichtete Schäden, wenn Nutzende die Nutzung durch Dritte – etwa durch Weitergabe des Passwortes – ermöglicht haben (siehe §4 (II) Benutzungsordnung des HRZ).
    * können die Betreibenden nach Abmahnung per E-Mail (in schweren Fällen auch unverzüglich) den Zugang vorübergehend, im Wiederholungsfall (und in schweren Fällen) auch einschränken oder sperren.
      Beim Verdacht des Missbrauchs eines Benutzerkontos kann dieses bis zur Klärung der Sachlage vorübergehend gesperrt werden (siehe §10 Benutzungsordnung des HRZ).

